Loading...
Searching...
No Matches
PartitionBlock Struct Reference

`#include <amiga.h>`

## Data Fields

uint32_t | de_Baud
uint32_t | de_BlocksPerTrack
uint32_t | de_BootBlocks
int32_t | de_BootPri
uint32_t | de_BufMemType
uint32_t | de_Control
uint32_t | de_DosType
uint32_t | de_HighCyl
uint32_t | de_Interleave
uint32_t | de_LowCyl
uint32_t | de_Mask
uint32_t | de_MaxTransfer
uint32_t | de_NumBuffers
uint32_t | de_PreAlloc
uint32_t | de_Reserved
uint32_t | de_SecOrg
uint32_t | de_SectorPerBlock
uint32_t | de_SizeBlock
uint32_t | de_Surfaces
uint32_t | de_TableSize
int32_t | pb_ChkSum
uint32_t | pb_DevFlags
uint8_t | pb_DriveName [32]
char | pb_DriveName [32]
uint32_t | pb_EReserved [12]
uint32_t | pb_Flags
uint32_t | pb_HostID
uint32_t | pb_ID
uint32_t | pb_Next
uint32_t | pb_Reserved1 [2]
uint32_t | pb_Reserved2 [15]
uint32_t | pb_SummedLongs

## Field Documentation

## de_Baud

uint32_t PartitionBlock::de_Baud

## de_BlocksPerTrack

uint32_t PartitionBlock::de_BlocksPerTrack

## de_BootBlocks

uint32_t PartitionBlock::de_BootBlocks

## de_BootPri

int32_t PartitionBlock::de_BootPri

## de_BufMemType

uint32_t PartitionBlock::de_BufMemType

## de_Control

uint32_t PartitionBlock::de_Control

## de_DosType

uint32_t PartitionBlock::de_DosType

## de_HighCyl

uint32_t PartitionBlock::de_HighCyl

## de_Interleave

uint32_t PartitionBlock::de_Interleave

## de_LowCyl

uint32_t PartitionBlock::de_LowCyl

## de_Mask

uint32_t PartitionBlock::de_Mask

## de_MaxTransfer

uint32_t PartitionBlock::de_MaxTransfer

## de_NumBuffers

uint32_t PartitionBlock::de_NumBuffers

## de_PreAlloc

uint32_t PartitionBlock::de_PreAlloc

## de_Reserved

uint32_t PartitionBlock::de_Reserved

## de_SecOrg

uint32_t PartitionBlock::de_SecOrg

## de_SectorPerBlock

uint32_t PartitionBlock::de_SectorPerBlock

## de_SizeBlock

uint32_t PartitionBlock::de_SizeBlock

## de_Surfaces

uint32_t PartitionBlock::de_Surfaces

## de_TableSize

uint32_t PartitionBlock::de_TableSize

## pb_ChkSum

int32_t PartitionBlock::pb_ChkSum

## pb_DevFlags

uint32_t PartitionBlock::pb_DevFlags

## pb_DriveName [1/2]

uint8_t PartitionBlock::pb_DriveName[32]

## pb_DriveName [2/2]

char PartitionBlock::pb_DriveName[32]

## pb_EReserved

uint32_t PartitionBlock::pb_EReserved

## pb_Flags

uint32_t PartitionBlock::pb_Flags

## pb_HostID

uint32_t PartitionBlock::pb_HostID

## pb_ID

uint32_t PartitionBlock::pb_ID

## pb_Next

uint32_t PartitionBlock::pb_Next

## pb_Reserved1

uint32_t PartitionBlock::pb_Reserved1

## pb_Reserved2

uint32_t PartitionBlock::pb_Reserved2

## pb_SummedLongs

uint32_t PartitionBlock::pb_SummedLongs

The documentation for this struct was generated from the following files:

- libparted/fs/amiga/amiga.h
- libparted/labels/rdb.c